html {
    height: 100%;
}
body {
    position:absolute;
    margin: auto;
    color: #2c3d3d;
    font-family: Verdana, sans-serif;
    font-size: 100%;
    line-height: 120%;
    min-height: 100%;
    width: 100%;
    padding-left: 350px;
    padding-bottom: 50px;
}
img {
    max-width: 25em;
}
a {
    color: #4e95cf;
}
#edit_button {
    position: fixed;
    right: 10px;
    top: 10px;
}

#TOC {
    position: absolute;
    right: 370px;
    top: 50px;
    border: 1px solid gray;
    background-color: #f8f8f8;
    font-size: 90%;
    width: 280px;
    padding-right: 1em;
    line-height: 180%;
}

#mainNav {
    display: table-cell;
    padding-right: 4em;
}
#mainNavContent {
    position:absolute;
    z-index: 1;
    margin-left: -350px;
    height: 100%;
    font-size: 90%;
    background-color: #f8f8f8;
    padding-right: 2em;
    padding-left: 2em;
    line-height: 140%;
    width: 250px;
}
#mainNav ul {
    padding-left: 0em;
    list-style: none;
}
#mainNav li {
    padding-bottom: 3px;
    overflow: hidden;
    text-overflow: ellipsis;
}
#mainNav li a {
    display: block;
    width: 100%;
    color: #5a5a5a;
    margin-top: 4px;
    margin-bottom: 3px;
    width: min-content;
    border-bottom: 1px solid #979797;
}
#mainNav li li {
    margin-left: 0.4em;
}
#mainNav li li a {
    display: inline;
    color: #4e95cf;
    margin-top: none;
    border-bottom: none;
}
pre, code {
    border: 1px dotted gray;
    background-color: #ececec;
    color: #111111;
    font-family: monospace;
    max-width: 40em;
}
pre {
    margin-right: 4em;
    padding: 1em
}
code {
    padding: 0.1em;
}
pre code {
    border: 0;
    background-color: #00000000;
    padding: 0;
}
h1 a, h2 a, h3 a, h4 a, h5 a {
    text-decoration: none;
    color: #7a5ada;
}
h1, h2, h3, h4, h5 {
    margin-top: 0.2em;
}
h1, h2, h3, h4, h5 {
    font-family: Arial, Helvetica, sans-serif;
    font-weight: normal;
}
h1, h2, h3 {
    font-size: 150%;
    font-family: Georgia, 'Times New Roman', Times, serif;
    color: #000000;
    padding: 0.8em 0.5em 0.2em 0;
}
h2, h3 {
    font-size: 150%;
    border-color: #cacaca;
}

h3 {
    font-size: 130%;
    margin-left: 0.3em;
}

h4 {
    font-size: 125%;
    font-style: italic;
    margin-left: 0.6em;
}

h5 {
    font-size: 115%;
    font-style: italic;
    margin-left: 1.2em;
}

h1.title {
    font-size: 200%;
    line-height: 100%;
    font-weight: normal;
    padding-top: 1em;
    padding-bottom: 0.2em;
    border: none;
    margin: 0em;
}

p.author {
    padding-bottom: 0.2em;
    margin-top: 0;
    color: #678686 ;
}

dt code {
    font-weight: bold;
}
dd p {
    margin-top: 0;
}
p {
    margin: 1.2em 1em;
    max-width: 40em;
    text-align: justify;
    line-height: 140%;
}

a {
    text-decoration: none;
}

#footer {
    padding-top: 1em;
    font-size: 70%;
    color: gray;
    text-align: center;
}

table {
    margin-top: 12px;
    max-width: 4em;;
}

table, tr, th, td {
    border: 1px solid black;
    border-collapse: collapse;
    padding: 5px;
}

img {
    display: block;
    margin-left: auto;
    margin-right: auto;
}
ul, li {
    max-width: 40em;
}